Bug 1118388 - Monitor Resolution Error in DELL XPS13
Summary: Monitor Resolution Error in DELL XPS13
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 20
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-10 15:01 UTC by Giovanni Lazzarini
Modified: 2015-06-29 21:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:32:58 UTC


Attachments (Terms of Use)
result of "monitor-get-edid > edid.txt" command (128 bytes, text/plain)
2014-07-10 15:01 UTC, Giovanni Lazzarini
no flags Details

Description Giovanni Lazzarini 2014-07-10 15:01:03 UTC
Created attachment 917135 [details]
result of "monitor-get-edid > edid.txt" command

In my XPS13 if I change monitor resolution other than the maximum (1929x1080) desktop doesn't cover all screen and leaves two black horizontal bands to the left and right sides.
Also does not display the entire desktop

Xrandr dispalys

1920x1080 16/9
1400x1050 4/3
1280x1024 5/4
1280x960 4/3
1024x768 4/3
800x600 4/3
640x480 4/3

Technical reference:
Dell XPS13 13,3"
Processor Intel(R) Core(TM) i7-3537U CPU @ 2.00GHz
Graphics:: INTEL HD GRAPHICS 4000 (FHD)

Fedora sysinfo information:
monitor: Chimei innolux Corporation eDP1

  - Intel Open Source Technology Center
  - Mesa DRI intel(R) lvybridge Mobile
  - 3.0 Mesa 10.1.5
  - kernel module unknown
  - 3D acceleration unknown


For Resolution 1280X720 I did the following comand:

(mode=$(cvt 1280 720 | sed '2!d' | cut -f3- -d' ');
output=$(xrandr --current | grep ' connected' | cut -f1 -d' ');
xrandr --newmode 1280x720 $mode &&
xrandr --addmode $output 1280x720 &&
xrandr --output $output --mode 1280x720)

With this command I have correct 1280x720 resolution.

Comment 1 Fedora End Of Life 2015-05-29 12:20:36 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-06-29 21:32:58 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.